Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005512OCamlOCaml generalpublic2012-02-22 08:292012-04-08 04:43
Reporterglondu 
Assigned Tomeyer 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version4.00.0+dev 
Summary0005512: Please backport test suite fixes to the 3.12 branch
DescriptionHello,

Please backport the following SVN commits to the 3.12 branch:

  11089, 11090, 11095, 11131, 11132, 11135, 11136, 10663, 11965, 12041, 12054

and the attached patch (already submitted in 0005199). I believe these are needed for running the test suite on bytecode-only architectures.

As far as my running the test suite in Debian goes, I uploaded a snapshot of the 3.12 branch to experimental (revision 12112), with the multiple compilation approach (cf 0005483). It failed on architectures with no native code compiler (which was kind of expected) and, strangely, on kfreebsd-* as well. Even when the build is successful, some tests fail, though. I applied the aforementioned patches (you can see the patches applied at [3], the one referred to in this report are 15-26) and the package compiles on more architectures [2], which is a big improvement even though some failures still remain.

[1] https://buildd.debian.org/status/logs.php?pkg=ocaml&ver=3.12.2~~dev6%2B12112-1 [^]
[2] https://buildd.debian.org/status/logs.php?pkg=ocaml&ver=3.12.2~~dev6%2B12112-2 [^]
[3] http://patch-tracker.debian.org/package/ocaml/3.12.2~~dev6+12112-2 [^]


Cheers,

--
St├ęphane
TagsNo tags attached.
Attached Filespatch file icon 0026-Fix-tests-on-bytecode-only-architectures.patch [^] (1,335 bytes) 2012-02-22 08:29 [Show Content]
gz file icon ocaml-test-suite-for-3.12.tar.gz [^] (16,138 bytes) 2012-02-24 07:53
gz file icon ocaml-test-suite-for-3.12-3.tar.gz [^] (16,716 bytes) 2012-02-28 14:17
patch file icon 0001-Fix-computation-of-BYTECODE_ONLY-so-that-it-is-empty.patch [^] (999 bytes) 2012-03-12 07:54 [Show Content]

- Relationships

-  Notes
(0006958)
meyer (developer)
2012-02-24 03:47

Hello Stephane,

The patch submitted does not apply to current 3.12 tree. From your description I am not clear if you want the patch to be applied to the trunk *and* the listed commits back-ported to 3.12, or you want this patch to be applied to 3.12 along with the commits. Could you please clarify or possibly port the patch and I will do the rest.

Wojciech
(0006959)
glondu (reporter)
2012-02-24 07:53

Some commits indeed need some porting, but they are all available at the address I gave:

  http://patch-tracker.debian.org/package/ocaml/3.12.2~~dev6+12112-2 [^]

(patches 15-26). The base is slightly different, but they apply (with patch) to the current 3.12 branch. For your convenience, I've attached a rebased branch over revision 12161.
(0006960)
glondu (reporter)
2012-02-24 07:55

... And I'd also like the new patch to be applied to the trunk.
(0006991)
glondu (reporter)
2012-02-28 14:20

I've uploaded an updated patch queue (that applies to r12185), with the following changes:

 - Fix computation of BYTECODE_ONLY so that it is empty when false
 - The patch based on revision 11132 should not be applied
 - Update outputs for typing-poly tests (I don't know if this is expected, though)
(0007038)
meyer (developer)
2012-03-10 03:29

Sorry it was taking that long.

I applied the trunk patch only - slightly modified - (r12216) as the 3.12.* is now closed.

Is there are anything else I can do for you about this PR?

Cheers,
Wojciech
(0007042)
glondu (reporter)
2012-03-12 07:36

The patch applied is not the right one...
(0007043)
glondu (reporter)
2012-03-12 07:55

I've attached a new patch to be applied to the trunk.
(0007133)
glondu (reporter)
2012-03-23 10:41

The issue fixed by my last patch has been fixed differently (in a less elegant way, IMHO) in revision 12239. I'm not sure if this was intentional, but I guess this bug can be closed now.

- Issue History
Date Modified Username Field Change
2012-02-22 08:29 glondu New Issue
2012-02-22 08:29 glondu File Added: 0026-Fix-tests-on-bytecode-only-architectures.patch
2012-02-24 03:17 meyer Assigned To => meyer
2012-02-24 03:17 meyer Status new => assigned
2012-02-24 03:47 meyer Note Added: 0006958
2012-02-24 07:53 glondu Note Added: 0006959
2012-02-24 07:53 glondu File Added: ocaml-test-suite-for-3.12.tar.gz
2012-02-24 07:55 glondu Note Added: 0006960
2012-02-28 14:17 glondu File Added: ocaml-test-suite-for-3.12-3.tar.gz
2012-02-28 14:20 glondu Note Added: 0006991
2012-03-10 03:29 meyer Note Added: 0007038
2012-03-12 07:36 glondu Note Added: 0007042
2012-03-12 07:54 glondu File Added: 0001-Fix-computation-of-BYTECODE_ONLY-so-that-it-is-empty.patch
2012-03-12 07:55 glondu Note Added: 0007043
2012-03-23 10:41 glondu Note Added: 0007133
2012-04-08 04:42 meyer Assigned To meyer =>
2012-04-08 04:42 meyer Assigned To => meyer
2012-04-08 04:43 meyer Status assigned => closed
2012-04-08 04:43 meyer Resolution open => fixed
2012-04-08 04:43 meyer Fixed in Version => 4.00.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker